package com.ms.biz.service;

import com.ms.biz.common.ApiResult;
import com.ms.dal.entity.DsMessageConsumerQueue;

/**
 *
 */
public interface DsMessageConsumerQueueService  {

    int deleteByPrimaryKey(Long id);

    int insert(DsMessageConsumerQueue record);

    int insertSelective(DsMessageConsumerQueue record);

    DsMessageConsumerQueue selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DsMessageConsumerQueue record);

    int updateByPrimaryKey(DsMessageConsumerQueue record);

    ApiResult moveBufferToSolidRedisQueue(Integer maxQueueCount);

    DsMessageConsumerQueue lockSolidRedisQueue(Long timerLockId, boolean isAdminSelf);
}
